// Copyright 'dart-universal_io' project authors.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/// Provides 'universal_io' base classes.

/// This library provides _universal_io_ driver base classes.
library universal_io.driver.base;

export 'src/io_driver_base/buffer.dart';
export 'src/io_driver_base/driver.dart';
export 'src/io_driver_base/file_system.dart';
export 'src/io_driver_base/http_client.dart';
export 'src/io_driver_base/http_headers_impl.dart';
export 'src/io_driver_base/http_server.dart';
export 'src/io_driver_base/io_sink.dart';
export 'src/io_driver_base/raw_datagram_socket.dart';
export 'src/io_driver_base/raw_server_socket.dart';
export 'src/io_driver_base/raw_socket.dart';
export 'src/io_driver_base/sockets_driver.dart';
export 'src/io_driver_base/std_out.dart';
